Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002144 [DCSS] Source Cleanup minor N/A 2010-07-30 12:16 2015-04-14 18:34
Reporter KiloByte View Status public  
Assigned To MarvinPA
Priority normal Resolution done  
Status closed   Product Branch 0.8 ancient branch
Summary 0002144: we need a separate configure step
Description The debate about autoconf (or its ilk) vs handcrafted makefile hackery is a long-standing issue. However, even if we keep the latter, we still suffer from trying to pass parameters through the command line.

It breaks many valid uses of make, really confuses outsiders trying to build Crawl, and is tedious.

For one, you can't do a debug build of just a single file. If you modify a header, the whole source will be rebuilt even thought you know it won't succeed, and you have to wait until the compiler gets to the file you want. In all sane makefiles, it's a matter of just "make tags.o".

"make install" is broken. You have to specify the whole invocation you did for compiling -- like, "make debug TILES=y CROSSHOST=foo-bar MEOW=y BARK=n install", and if you forget to, it suddenly tosses the build results away and tries to start again, with default settings you didn't want. All sane makefiles require "make install" to be given at most install-time options.


Thus, I propose to make the compiler selection, detection of libraries and choice of the build type to a separate configure script.
Additional Information
Tags No tags attached.
Attached Files

- Relationships
parent of 0005799resolvedKiloByte OS zoology breakage: fdatasync() 

-  Notes
(0028863)
MarvinPA (developer)
2015-04-14 18:34

Closing some old FRs, these might still be desirable but they don't need to have Mantis issues for them.

- Issue History
Date Modified Username Field Change
2010-07-30 12:16 KiloByte New Issue
2012-07-09 01:47 neil Relationship added parent of 0005799
2015-04-14 18:34 MarvinPA Note Added: 0028863
2015-04-14 18:34 MarvinPA Status new => resolved
2015-04-14 18:34 MarvinPA Fixed in Branch => 0.16 pre-release branch
2015-04-14 18:34 MarvinPA Resolution open => done
2015-04-14 18:34 MarvinPA Assigned To => MarvinPA
2015-04-14 18:34 MarvinPA Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker